#!/usr/bin/env python
#-*- coding: UTF-8 -*-

import wx
from   .nofyhistmisc import *


class UpdateDialog(wx.Dialog):
    
    def __init__(self, parent, s):
        """ place About items on dialog """
        wx.Dialog.__init__(self, parent, -1, TITLE + _(' - find update'))
        btnadj = int(parent.config['Gui']['norm'] == 'False') 
        sizer = wx.BoxSizer(wx.VERTICAL)
        row1 = wx.BoxSizer(wx.HORIZONTAL)
        png = wx.Image(ICONPATH + os.sep + 'delrecord.png', wx.BITMAP_TYPE_PNG).ConvertToBitmap()
        bm = wx.StaticBitmap(self, -1, png, wx.Point(10, 10), (png.GetWidth(), png.GetHeight()))
        row1.Add(bm, 0, wx.RIGHT, BORDER)
        st = wx.StaticText(self, -1, s, pos = wx.Point(30 + png.GetWidth(), BORDER))
        row1.Add(st, 0, wx.LEFT, BORDER)
        sizer.Add(row1, 0, wx.GROW | wx.ALL, BORDER)
        sl = wx.StaticLine(self, -1)
        sizer.Add(sl, 0, wx.GROW | wx.TOP, BORDER)
        row3 = wx.BoxSizer(wx.HORIZONTAL)
        if not btnadj: row3.AddStretchSpacer()
        btninstall = wx.Button(self, wx.ID_OK, _('&Install now'))
        row3.Add(btninstall, btnadj, wx.GROW | wx.ALL, GAP)        
        btcancel = wx.Button(self, wx.ID_CANCEL)
        row3.Add(btcancel, btnadj,  wx.GROW | wx.ALL, GAP)
        sizer.Add(row3, 1, wx.GROW | wx.ALL, GAP)
        self.SetSizer(sizer)
        self.Fit()
        self.Centre()       
    #-------------------------------------------------------------------------------------------
  
# - class UpdateDialog(wx.Dialog):--------------------------------------------------------------
